=== debian/changelog ===
assimp (3.2~dfsg-3) unstable; urgency=medium

  * Fixed CMake-config for linking against libassimp.
    Thanks to Leopold Palomo-Avellaneda (Closes: #807690)
  * Preparing an upload to backports
    * Re-use libasimp3v5.* for libassimp3
    * Fix target interdependencies for backports
    * Script to fix debian/control

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 15 Dec 2015 16:36:37 +0100

assimp (3.2~dfsg-2) unstable; urgency=medium

  * Install CMake config files (Closes: #806317)
  * Removed copyright-notice for non-existant files

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 26 Nov 2015 21:06:53 +0100

assimp (3.2~dfsg-1) unstable; urgency=medium

  * Imported Upstream version 3.2~dfsg

  * Refreshed patches
  * Updated debian/libassimp3v5.ver
    - Unconditionally export all typeinfo/vtable symbols (Closes: #804250)
    - Export new Assimp::ExportProperties
  * Dropped libassimp3v5.symbols file
  * Build-amendments
    - Disabled assimp's boost-workaround
    - Exclude stripped-away files from build
    - Disabled tests for now (need too stripped away data files)
  * Added Build-Depends
    - libminizip-dev
    - pkg-config
  * Added debian/git-tuneclone.sh script
  * Removed Debian-specific .gitignore
  * Simplified repackaging of upstream
    - Exclude .lib files in debian/copyright
    - Setup filters for gbp-import-orig
  * Regenerated debian/(control|copyright_hints)
  * debian/copyright
    - Exclude binary files from licensecheck
    - Updated debian/copyright
  * Update Vcs-Browser stanza

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 15 Nov 2015 23:50:33 +0100

assimp (3.1.1~dfsg-5) unstable; urgency=medium

  * Upload to unstable.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 23 Aug 2015 20:36:32 +0200

assimp (3.1.1~dfsg-4) experimental; urgency=medium

  * Fixed imports in python module
  * Fixed FTBFS on big-endian architectures

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 10 Aug 2015 19:55:42 +0200

assimp (3.1.1~dfsg-3) experimental; urgency=medium

  * Conflict with libassimp3
  * lintian-override for mismatched packagename/soname
  * Add more files to be excluded in the source-package

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 10 Aug 2015 16:01:30 +0200

assimp (3.1.1~dfsg-2) experimental; urgency=medium

  * Undo the SONAME bump (Closes: #790980)
  * Relax Build-Dependency on g++

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 10 Aug 2015 10:09:47 +0200

assimp (3.1.1~dfsg-1) experimental; urgency=medium

  * Imported Upstream version 3.1.1~dfsg
    + Refreshed patches
    + Python example has been removed upstream
    + Added new symbols
  * Renamed to libassimp3v5 for GCC 5 transition
    - Closes: #790980
    - Closes: #793217
    - Closes: #794835
  * Build-Depend on g++-5
  * Multi-archi'fication
  * Remove build-leftovers from doxygen
  * Updated debian/watch to github
  * Helper-script for importing sources

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 09 Aug 2015 22:59:13 +0200

assimp (3.0~dfsg-4) unstable; urgency=medium

  * Export "ai*" in C++-scope (Closes: #775890)
    + Updated libassimp3.symbols file
  * Removed non-existing files from debian/copyright
  * Bumped standards to 3.9.6

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 27 Apr 2015 22:27:30 +0200

assimp (3.0~dfsg-3) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Marked symbols as optional (Closes: #746826)
  * Updated my Maintainer's name
  * Regenerated debian/{control,copyright_hints}

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 15 May 2014 10:30:13 +0200
