=== debian/control ===
Source: assimp
Section: graphics
Priority: extra
Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Homepage: http://assimp.sourceforge.net/
Standards-Version: 3.9.6
Build-Depends: cdbs (>= 0.4.90~),
 debhelper (>= 9~),
 dh-buildinfo,
 devscripts,
 python,
 python-dev (>= 2.3.5-7),
 dpkg-dev (>= 1.15.6),
 pkg-kde-tools,
 cmake,
 pkg-config,
 g++ (>=4:5.2),
 libboost-dev,
 zlib1g-dev | libz-dev,
 libminizip-dev,
 doxygen
Vcs-Git: git://anonscm.debian.org/collab-maint/assimp.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/assimp.git

Package: libassimp3v5
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Breaks: libassimp3
Replaces: libassimp3
Description: 3D model import library
 Assimp is a library to import various well-known 3D model formats ("assets") in
 a uniform manner.
 Assimp aims at providing a full asset conversion pipeline for use in game
 engines / realtime rendering systems of any kind but is not limited to this
 audience.
 .
 The library is designed for maximum stability and flexibility. While written in
 C++, a pure C API exists, as well as bindings to various other languages,
 including Python, D and Blitzmax. Assimp loads models into a straightforward
 data structure for easy processing by your application. Various post processing
 steps (such as general optimization or computation of extra data like normal or
 tangent vectors) can be executed on the imported data to suit your needs.
 .
 This package provides the shared object necessary to run an application
 using Assimp.


Package: libassimp-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libassimp3v5 (>= ${source:Version}),
 libassimp3v5 (<< ${source:Upstream-Version}+1~)
Description: 3D model import library (development)
 Assimp is a library to import various well-known 3D model formats ("assets") in
 a uniform manner.
 Assimp aims at providing a full asset conversion pipeline for use in game
 engines / realtime rendering systems of any kind but is not limited to this
 audience.
 .
 This package provides the files necessary to compile an application
 using Assimp


Package: libassimp-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
Suggests: libassimp-dev
Description: 3D model import library (documentation)
 Assimp is a library to import various well-known 3D model formats ("assets") in
 a uniform manner.
 Assimp aims at providing a full asset conversion pipeline for use in game
 engines / realtime rendering systems of any kind but is not limited to this
 audience.
 .
 This package contains html documentation for the Assimp API.

Package: assimp-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: 3D model import library (utilities)
 Assimp is a library to import various well-known 3D model formats ("assets") in
 a uniform manner.
 Assimp aims at providing a full asset conversion pipeline for use in game
 engines / realtime rendering systems of any kind but is not limited to this
 audience.
 .
 This package contains additional commandline utilities (currently only
 'assimp') to interact with 3D models.

Package: python-pyassimp
Architecture: all
Section: python
Depends: ${python:Depends},
 ${misc:Depends},
 libassimp3v5 (>= ${source:Version}),
 libassimp3v5 (<< ${source:Upstream-Version}+1~)
Description: 3D model import library (Python bindings)
 Assimp is a library to import various well-known 3D model formats ("assets") in
 a uniform manner.
 Assimp aims at providing a full asset conversion pipeline for use in game
 engines / realtime rendering systems of any kind but is not limited to this
 audience.
 .
 This package provides Python bindings to the Assimp library.
