## assimp 3.3.1~dfsg

=== debian/changelog ===
assimp (3.3.1~dfsg-5) unstable; urgency=medium

  * Added Multi-Arch fields
  * Updated ConvertUTF license to the DFSG-free new unicode license.
    Thanks to Rene Engelhard <rene@debian.org> (Closes: #864729)
    * Added lintian-override for ConvertUTF
  * Bumped standards version to 4.0.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 12 Jul 2017 20:01:45 +0200

assimp (3.3.1~dfsg-4) unstable; urgency=medium

  * Fixed pyassimp import for good.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 24 Aug 2016 23:06:28 +0200

assimp (3.3.1~dfsg-3) unstable; urgency=medium

  * Fixed pyassimp import (LP: #1589949)
  * Updated d/copyright
    * Removed unused infozip license
    * Updated Source URL
    * Refreshed copyright years
  * Dropped lintian-override that is no longer needed.
  * Filter out .git* files on (next) import-orig

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 24 Aug 2016 22:39:40 +0200

assimp (3.3.1~dfsg-2) unstable; urgency=medium

  * Fixed FTBFS on big-endian architectures
    Thanks to Daniel Knezevic <Daniel.Knezevic@imgtec.com> (Closes: #834717)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 23 Aug 2016 22:39:10 +0200

assimp (3.3.1~dfsg-1) unstable; urgency=medium

  * New upstream version 3.3.1~dfsg

  * Refreshed patches
    * Dropped patches applied upstream.
  * Documented how to properly clone the package repository via gbp.
  * Updated Vcs-Git stanza to use https://
  * Updated upstream homepage-field
  * Updated copyright information
  * Bumped standards version to 3.9.8

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 08 Aug 2016 17:11:00 +0200
