=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: graphics
 Priority: extra
 Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
-Homepage: http://assimp.sourceforge.net/
-Standards-Version: 3.9.6
-Build-Depends: cdbs (>= 0.4.90~),
- debhelper (>= 9~),
+Homepage: http://assimp.org
+Standards-Version: 4.0.0
+Build-Depends: cdbs,
+ debhelper,
  dh-buildinfo,
- devscripts,
+ licensecheck,
  python,
  python-dev (>= 2.3.5-7),
  dpkg-dev (>= 1.15.6),
@@ -19,11 +19,12 @@
  zlib1g-dev | libz-dev,
  libminizip-dev,
  doxygen
-Vcs-Git: git://anonscm.debian.org/collab-maint/assimp.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/assimp.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/assimp.git
 
 Package: libassimp3v5
 Architecture: any
+Multi-Arch: same
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
@@ -50,6 +51,7 @@
 
 Package: libassimp-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
  libassimp3v5 (>= ${source:Version}),
@@ -67,6 +69,7 @@
 
 Package: libassimp-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
 Suggests: libassimp-dev
